com.independentsoft.msg

## Enum ObjectType

- java.lang.Object
- - java.lang.Enum<ObjectType>
  - - com.independentsoft.msg.ObjectType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ObjectType>

      public enum ObjectType
      extends java.lang.Enum<ObjectType>

  Represents type of an object.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADDRESS_BOOK` Address book object.
    `ADDRESS_BOOK_CONTAINER` Address book container object.
    `ATTACHMENT` Message attachment object.
    `DISTRIBUTION_LIST` Distribution list object.
    `FOLDER` Folder object.
    `FORM` Form object.
    `MAIL_USER` Messaging user object.
    `MESSAGE` Message object.
    `MESSAGE_STORE` Message store object.
    `NONE` None.
    `PROFILE_SELECTION` Profile section object.
    `SESSION` Session object.
    `STATUS` Status object.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ObjectType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ObjectType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADDRESS_BOOK_CONTAINER

          public static final ObjectType ADDRESS_BOOK_CONTAINER

      Address book container object.

    - #### ADDRESS_BOOK

          public static final ObjectType ADDRESS_BOOK

      Address book object.

    - #### ATTACHMENT

          public static final ObjectType ATTACHMENT

      Message attachment object.

    - #### DISTRIBUTION_LIST

          public static final ObjectType DISTRIBUTION_LIST

      Distribution list object.

    - #### FOLDER

          public static final ObjectType FOLDER

      Folder object.

    - #### FORM

          public static final ObjectType FORM

      Form object.

    - #### MAIL_USER

          public static final ObjectType MAIL_USER

      Messaging user object.

    - #### MESSAGE

          public static final ObjectType MESSAGE

      Message object.

    - #### PROFILE_SELECTION

          public static final ObjectType PROFILE_SELECTION

      Profile section object.

    - #### SESSION

          public static final ObjectType SESSION

      Session object.

    - #### STATUS

          public static final ObjectType STATUS

      Status object.

    - #### MESSAGE_STORE

          public static final ObjectType MESSAGE_STORE

      Message store object.

    - #### NONE

          public static final ObjectType NONE

      None.

  - ### Method Detail

    - #### values

          public static ObjectType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ObjectType c : ObjectType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ObjectType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null